## tanzu management-cluster upgrade

Upgrades the management cluster

```
tanzu management-cluster upgrade [flags]
```

### Examples

```

  # Upgrade a management cluster
  tanzu management-cluster upgrade

  # Upgrade a management cluster using specific os name (vsphere)
  tanzu management-cluster upgrade mc-1 --os-name photon

  # Upgrade a management cluster using specific os name and version
  tanzu management-cluster upgrade mc-1 --os-name ubuntu --os-version 20.04

  # Upgrade a management cluster using specific os name, version and arch
  tanzu management-cluster upgrade mc-1 --os-name ubuntu --os-version 20.04 --os-arch amd64

  [+] : Options available for: os-name, os-version, os-arch are as follows:
  vSphere: 
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name photon --os-version 3 --os-arch amd64	
  aws: 
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name amazon --os-version 2 --os-arch amd64
  azure:
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name ubuntu --os-version 18.04 --os-arch amd64

```

### Options

```
  -h, --help                help for upgrade
      --os-arch string      OS arch to use during management cluster upgrade. Discovered automatically if not provided (See [+])
      --os-name string      OS name to use during management cluster upgrade. Discovered automatically if not provided (See [+])
      --os-version string   OS version to use during management cluster upgrade. Discovered automatically if not provided (See [+])
  -t, --timeout duration    Time duration to wait for an operation before timeout. Timeout duration in hours(h)/minutes(m)/seconds(s) units or as some combination of them (e.g. 2h, 30m, 2h30m10s) (default 30m0s)
  -y, --yes                 Upgrade management cluster without asking for confirmation
```

### Options inherited from parent commands

```
      --log-file string   Log file path
  -v, --verbose int32     Number for the log level verbosity(0-9)
```

### SEE ALSO

* [tanzu management-cluster](tanzu_management-cluster.md)	 - Kubernetes management cluster operations

###### Auto generated by spf13/cobra on 5-Nov-2021
