// Code generated by go-swagger; DO NOT EDIT.

package vsphere

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetVSphereDatacentersOKCode is the HTTP code returned for type GetVSphereDatacentersOK
const GetVSphereDatacentersOKCode int = 200

/*GetVSphereDatacentersOK Successful retrieval of vSphere datacenters

swagger:response getVSphereDatacentersOK
*/
type GetVSphereDatacentersOK struct {

	/*
	  In: Body
	*/
	Payload []*models.VSphereDatacenter `json:"body,omitempty"`
}

// NewGetVSphereDatacentersOK creates GetVSphereDatacentersOK with default headers values
func NewGetVSphereDatacentersOK() *GetVSphereDatacentersOK {

	return &GetVSphereDatacentersOK{}
}

// WithPayload adds the payload to the get v sphere datacenters o k response
func (o *GetVSphereDatacentersOK) WithPayload(payload []*models.VSphereDatacenter) *GetVSphereDatacentersOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere datacenters o k response
func (o *GetVSphereDatacentersOK) SetPayload(payload []*models.VSphereDatacenter) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereDatacentersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.VSphereDatacenter, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// GetVSphereDatacentersBadRequestCode is the HTTP code returned for type GetVSphereDatacentersBadRequest
const GetVSphereDatacentersBadRequestCode int = 400

/*GetVSphereDatacentersBadRequest Bad request

swagger:response getVSphereDatacentersBadRequest
*/
type GetVSphereDatacentersBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereDatacentersBadRequest creates GetVSphereDatacentersBadRequest with default headers values
func NewGetVSphereDatacentersBadRequest() *GetVSphereDatacentersBadRequest {

	return &GetVSphereDatacentersBadRequest{}
}

// WithPayload adds the payload to the get v sphere datacenters bad request response
func (o *GetVSphereDatacentersBadRequest) WithPayload(payload *models.Error) *GetVSphereDatacentersBadRequest {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere datacenters bad request response
func (o *GetVSphereDatacentersBadRequest) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereDatacentersBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(400)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// GetVSphereDatacentersUnauthorizedCode is the HTTP code returned for type GetVSphereDatacentersUnauthorized
const GetVSphereDatacentersUnauthorizedCode int = 401

/*GetVSphereDatacentersUnauthorized Incorrect credentials

swagger:response getVSphereDatacentersUnauthorized
*/
type GetVSphereDatacentersUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereDatacentersUnauthorized creates GetVSphereDatacentersUnauthorized with default headers values
func NewGetVSphereDatacentersUnauthorized() *GetVSphereDatacentersUnauthorized {

	return &GetVSphereDatacentersUnauthorized{}
}

// WithPayload adds the payload to the get v sphere datacenters unauthorized response
func (o *GetVSphereDatacentersUnauthorized) WithPayload(payload *models.Error) *GetVSphereDatacentersUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere datacenters unauthorized response
func (o *GetVSphereDatacentersUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereDatacentersUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// GetVSphereDatacentersInternalServerErrorCode is the HTTP code returned for type GetVSphereDatacentersInternalServerError
const GetVSphereDatacentersInternalServerErrorCode int = 500

/*GetVSphereDatacentersInternalServerError Internal server error

swagger:response getVSphereDatacentersInternalServerError
*/
type GetVSphereDatacentersInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewGetVSphereDatacentersInternalServerError creates GetVSphereDatacentersInternalServerError with default headers values
func NewGetVSphereDatacentersInternalServerError() *GetVSphereDatacentersInternalServerError {

	return &GetVSphereDatacentersInternalServerError{}
}

// WithPayload adds the payload to the get v sphere datacenters internal server error response
func (o *GetVSphereDatacentersInternalServerError) WithPayload(payload *models.Error) *GetVSphereDatacentersInternalServerError {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get v sphere datacenters internal server error response
func (o *GetVSphereDatacentersInternalServerError) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetVSphereDatacentersInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(500)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
